package com.community.huiju.dao;

import com.community.huiju.model.TpSocialView;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TpSocialViewMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpSocialView record);

    int insertSelective(TpSocialView record);

    TpSocialView selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpSocialView record);

    int updateByPrimaryKey(TpSocialView record);

    Integer selectViewNum(TpSocialView tpSocialView);
}